## kodi-visualization-shadertoy 1.1.5

=== CMakeLists.txt ===
project(visualization.shadertoy)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(p8-platform REQUIRED)

add_subdirectory(lib/kissfft)

set(DEPLIBS kissfft)

if (NOT WIN32)
  if(APPLE)
    set(DEPLIBS ${DEPLIBS} "-framework CoreVideo")
  endif()

  add_options(CXX ALL_BUILDS -std=c++11)
  find_package(OpenGL)
  if(OPENGL_FOUND)
    set(INCLUDES ${OpenGL_INCLUDE_DIR})
    add_definitions(-DHAS_OPENGL)
    set(DEPLIBS ${DEPLIBS} ${OPENGL_LIBRARIES})
  else()
    find_package(OpenGLES2)
    if(OPENGLES2_FOUND)
      set(INCLUDES ${OPENGLES2_INCLUDE_DIR})
      add_definitions(-DHAS_GLES2 -DHAS_GLES ${OpenGLES2_CFLAGS_OTHER})
      set(DEPLIBS ${DEPLIBS} ${OPENGLES2_LIBRARIES})
    else()
      message(FATAL_ERROR "No rendering API found. Bailing")
    endif()
  endif()

  include_directories(${OpenGL_INCLUDE_DIR}
                      ${KODI_INCLUDE_DIR}
                      ${p8-platform_INCLUDE_DIRS}
                      ${PROJECT_SOURCE_DIR}/lib/kissfft
                      ${CMAKE_INCLUDE_PATH})

  set(SHADERTOY_SOURCES src/lodepng.cpp
                        src/main.cpp)

  set(DEPLIBS ${DEPLIBS} ${OPENGL_LIBRARIES})

elseif(WIN32)
  include_directories(${KODI_INCLUDE_DIR}
                      ${p8-platform_INCLUDE_DIRS}
                      ${PROJECT_SOURCE_DIR}/lib/kissfft
                      ${CMAKE_INCLUDE_PATH})

  set(SHADERTOY_SOURCES src/WICTextureLoader.cpp
                        src/maindx.cpp)
endif()

build_addon(visualization.shadertoy SHADERTOY DEPLIBS)

include(CPack)

=== lib/kissfft/CMakeLists.txt ===
project(kissfft)

enable_language(C)

cmake_minimum_required(VERSION 2.6)

set(SOURCES kiss_fft.c)

if(NOT WIN32)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
endif()

add_library(kissfft STATIC ${SOURCES})

=== debian/changelog ===
kodi-visualization-shadertoy (1.1.5-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Rebuild against Kodi 17.
  * Don't use ccache.
  * Remove -dmo from version string.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 15:54:59 -0800

kodi-visualization-shadertoy-dmo (1.1.5-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Nov 2016 13:11:40 +0100

kodi-visualization-shadertoy-dmo (1.1.0-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2016 10:03:33 +0200

kodi-visualization-shadertoy-dmo (1.0.6-dmo1~bpo8+1) stable-backports; urgency=medium

  * Build for stable-backports.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 May 2016 11:27:24 +0200

kodi-visualization-shadertoy-dmo (1.0.6-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 13:46:03 +0100

=== debian/control ===
Source: kodi-visualization-shadertoy
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/notspiff/visualization.shadertoy
Standards-Version: 3.9.8
Build-Depends: debhelper (>=9), cmake, kodi-addons-dev, libglew-dev,
 libgl1-mesa-dev, libp8-platform-dev

Package: kodi-visualization-shadertoy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 16.1~)
Description: Shadertoy audio visualization for Kodi
 Shadertoy audio visualization for Kodi.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs visualization.shadertoy/changelog.txt

## kodi-visualization-shadertoy 2.3.0%2Bds1

=== debian/changelog ===
kodi-visualization-shadertoy (2.3.0+ds1-3) unstable; urgency=medium

  * Fix typo in description (Closes: #980853)
  * Update system kissfft patch for kissfft 131.1.0

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 16 Feb 2021 17:29:50 +0000

kodi-visualization-shadertoy (2.3.0+ds1-2) unstable; urgency=medium

  [ Vasyl Gello ]
  * Force override libdir paths
  * Bump copyright years

  [ Mattia Rizzolo ]
  * Fix Vcs-* URIs.

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:20 +0000

kodi-visualization-shadertoy (2.3.0+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 11 Jan 2021 16:37:36 +0000

=== debian/control ===
Source: kodi-visualization-shadertoy
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               kodi-addons-dev (>= 2:19.0~beta2+dfsg1-6~),
               libglew-dev,
               libgl1-mesa-dev,
               libglm-dev (>= 0.9.9.3~),
               libkissfft-dev (>= 131.1.0~),
               pkg-config
Build-Depends-Arch: dh-sequence-kodiaddon
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git
Homepage: https://kodi.tv

Package: kodi-visualization-shadertoy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kodi-visualization-shadertoy-data (= ${source:Version}),
         ${kodi:VISUALIZATIONAPI}
Description: Shadertoy audio visualization for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package provides Shadertoy audio visualization for Kodi.

Package: kodi-visualization-shadertoy-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kodi-visualization-shadertoy (<< 1.1.6)
Description: Shadertoy audio visualization for Kodi (common data)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains data files for Shadertoy visualization.

## kodi-visualization-shadertoy 2.3.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(visualization.shadertoy)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(glm REQUIRED)

add_subdirectory(lib/kissfft)

if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
  find_package(OpenGl REQUIRED)
  set(DEPLIBS ${OPENGL_LIBRARIES})
  set(includes ${OPENGL_INCLUDE_DIR})
  add_definitions(${OPENGL_DEFINITIONS})
else()
  find_package(OpenGLES REQUIRED)
  set(DEPLIBS ${OPENGLES_LIBRARIES})
  set(includes ${OPENGLES_INCLUDE_DIR})
  add_definitions(${OPENGLES_DEFINITIONS})
endif()

include_directories(${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PROJECT_SOURCE_DIR}/lib)

if(CORE_SYSTEM_NAME STREQUAL osx OR
   CORE_SYSTEM_NAME STREQUAL ios OR
   CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  list(APPEND DEPLIBS "-framework CoreVideo")
endif()

set(SHADERTOY_SOURCES src/lodepng.cpp
                      src/main.cpp)

set(SHADERTOY_HEADERS src/lodepng.h
                      src/main.h)

list(APPEND DEPLIBS kissfft)

build_addon(visualization.shadertoy SHADERTOY DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-shadertoy (2.3.0+ds1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:38:43 +0200

## kodi-visualization-shadertoy 19.1.1+ds1

=== debian/changelog ===
kodi-visualization-shadertoy (19.1.1+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:48:10 +0000

kodi-visualization-shadertoy (19.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.1.1+ds1
  * Refresh patches
  * Add libjsoncpp-dev as build-dep
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:57 +0000

kodi-visualization-shadertoy (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:36:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kodi-visualization-shadertoy
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
@@ -9,10 +10,11 @@
                libglew-dev,
                libgl1-mesa-dev,
                libglm-dev (>= 0.9.9.3~),
+               libjsoncpp-dev,
                libkissfft-dev (>= 131.1.0~),
                pkg-config
 Build-Depends-Arch: dh-sequence-kodiaddon
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.shadertoy/releases \
/xbmc/visualization.shadertoy/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-visualization-shadertoy 19.1.2%2Bds1

=== debian/changelog ===
kodi-visualization-shadertoy (19.1.2+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:57 +0000

kodi-visualization-shadertoy (19.1.2+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Vasyl Gello ]
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Apr 2022 09:15:47 +0000

kodi-visualization-shadertoy (19.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.1.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:02 +0000

## kodi-visualization-shadertoy 19.1.2+ds1

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kodi-visualization-shadertoy
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                kodi-addons-dev (>= 2:19.0~beta2+dfsg1-6~),
                libglew-dev,
                libgl1-mesa-dev,
-               libglm-dev (>= 0.9.9.3~),
+               libglm-dev,
                libjsoncpp-dev,
                libkissfft-dev (>= 131.1.0~),
                pkg-config

## kodi-visualization-shadertoy 20.2.0+ds1

=== debian/changelog ===
kodi-visualization-shadertoy (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               kodi-addons-dev (>= 2:19.0~beta2+dfsg1-6~),
+               kodi-addons-dev (>= 2:20~),
                libglew-dev,
                libgl1-mesa-dev,
                libglm-dev,
@@ -13,7 +13,7 @@
                libkissfft-dev (>= 131.1.0~),
                pkg-config
 Build-Depends-Arch: dh-sequence-kodiaddon
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.shadertoy/releases \
/xbmc/visualization.shadertoy/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-visualization-shadertoy 20.3.0+ds1

=== debian/changelog ===
kodi-visualization-shadertoy (20.3.0+ds1-2) unstable; urgency=medium

  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches
  * debian: Pull GLES build-deps on arm* (Closes: #1069299)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Jul 2024 03:59:31 +0000

kodi-visualization-shadertoy (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1

  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Apply multi-arch hints. + kodi-visualization-shadertoy-data: Add Multi-Arch: foreign.

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:35 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                kodi-addons-dev (>= 2:20~),
+               libgles-dev,
                libglew-dev,
                libgl1-mesa-dev,
                libglm-dev,
@@ -13,7 +14,7 @@
                libkissfft-dev (>= 131.1.0~),
                pkg-config
 Build-Depends-Arch: dh-sequence-kodiaddon
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git
@@ -49,6 +50,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: kodi-visualization-shadertoy (<< 1.1.6)
+Multi-Arch: foreign
 Description: Shadertoy audio visualization for Kodi (common data)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.shadertoy \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-visualization-shadertoy 21.0.2%2Bds

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/visualization.shadertoy \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian

## kodi-visualization-shadertoy 21.0.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 find_package(Kodi REQUIRED)
 find_package(glm REQUIRED)
+find_package(JsonCpp REQUIRED)
 
 add_subdirectory(lib/kissfft)
 
@@ -21,8 +22,11 @@
 endif()
 
 include_directories(${GLM_INCLUDE_DIR}
+                    ${JSONCPP_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/lib)
+
+list(APPEND DEPLIBS ${JSONCPP_LIBRARIES})
 
 if(CORE_SYSTEM_NAME STREQUAL osx OR
    CORE_SYSTEM_NAME STREQUAL ios OR
@@ -30,10 +34,12 @@
   list(APPEND DEPLIBS "-framework CoreVideo")
 endif()
 
-set(SHADERTOY_SOURCES src/lodepng.cpp
+set(SHADERTOY_SOURCES src/PresetsLoader.cpp
+                      src/lodepng.cpp
                       src/main.cpp)
 
-set(SHADERTOY_HEADERS src/lodepng.h
+set(SHADERTOY_HEADERS src/PresetsLoader.h
+                      src/lodepng.h
                       src/main.h)
 
 list(APPEND DEPLIBS kissfft)

=== debian/changelog ===
kodi-visualization-shadertoy (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:30 +0000

kodi-visualization-shadertoy (20.3.0+ds1-4) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:15:20 +0000

kodi-visualization-shadertoy (20.3.0+ds1-3) unstable; urgency=medium

  * Bump copyright years
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 04:50:50 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                kodi-addons-dev (>= 2:20~),
-               libgles-dev,
                libglew-dev,
                libgl1-mesa-dev,
                libglm-dev,
@@ -14,10 +13,10 @@
                libkissfft-dev (>= 131.1.0~),
                pkg-config
 Build-Depends-Arch: dh-sequence-kodiaddon
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-visualization-shadertoy.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-visualization-shadertoy
